Tin An Ninh Mạng

Hơn 100.000 trang WordPress có nguy cơ bị tấn công XSS

1490893114hacker-500.jpg
Plugin “Real-Time Find and Replace” (tìm kiếm và thay thế dữ liệu) của WordPress vừa được cập nhật phiên bản mới để xử lý một lỗ hổng nghiêm trọng cao có thể bị khai thác để tiêm nhiễm mã độc vào website, từ đó dẫn tới tấn công XSS.

{
,

}

wordpress_plugin.jpg

Đây là plugin mã nguồn mở, cho phép quản trị viên WordPress thay thế linh hoạt bất kỳ nội dung HTML từ theme và các plugin khác bằng nội dung mới mà không cần phải thay đổi nội dung gốc vĩnh viễn trước khi trang được cung cấp đến người dùng. Hiện plugin này có trên 100.000 lượt cài đặt.

Lỗ hổng được phát hiện là một lỗi CSRF (Cross-Site Request Forgery) dẫn đến trang bị tấn công XSS (Cross-Site Scripting). Lỗi có thể cho phép kẻ tấn công tiêm nhiễm mã JavaScript độc hại lên trang mục tiêu bằng cách lừa quản trị viên thực hiện một số thao tác, ví dụ như click vào một đường dẫn.

Sau đó, kẻ tấn công có thể tạo ra một tài khoản quản trị mới, đánh cắp các cookie của phiên đăng nhập, điều hướng người dùng đến một trang độc hại.

Nhiệm vụ chính của plugin này là bổ sung thêm luật tìm kiếm và thay thế nằm trong hàm far_options_page. Tuy nhiên hàm này lại không xác định được tính toàn vẹn của nguồn truy vấn do không sử dụng xác nhận nonce (chuỗi giúp bảo vệ website khỏi những request tự tạo).

Lỗ hổng đã được báo cáo cho nhà phát triển plugin và đơn vị này đã xử lý lỗ hỗng ngay lập tức.

Plugin Real-time Find and Replace phiên bản 4.0.2 trở lên đã có sẵn bản vá cho lỗi này, người dùng được khuyến cáo cập nhật phiên bản plugin mới nhất càng sớm càng tốt để đảm bảo trang WordPress của mình an toàn.

Theo SecurityWeek, Threatpost

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !